import request from "@/utils/request";

// 查询设备升级历史列表
export function listLog(query) {
  return request({
    url: "/firmware/log/list",
    method: "get",
    params: query,
  });
}

// 查询设备升级历史详细
export function getLog(logId) {
  return request({
    url: "/firmware/log/" + logId,
    method: "get",
  });
}

// 新增设备升级历史
export function addLog(data) {
  return request({
    url: "/firmware/log",
    method: "post",
    data: data,
  });
}

// 修改设备升级历史
export function updateLog(data) {
  return request({
    url: "/firmware/log",
    method: "put",
    data: data,
  });
}

// 删除设备升级历史
export function delLog(logId) {
  return request({
    url: "/firmware/log/" + logId,
    method: "delete",
  });
}
